Update Secret
curl --request POST \
--url https://api.bunny.net/compute/script/{id}/secrets/{secretId} \
--header 'AccessKey: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"Secret": "<string>"
}
'import requests
url = "https://api.bunny.net/compute/script/{id}/secrets/{secretId}"
payload = { "Secret": "<string>" }
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({Secret: '<string>'})
};
fetch('https://api.bunny.net/compute/script/{id}/secrets/{secretId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"Name": "<string>",
"LastModified": "2023-11-07T05:31:56Z"
}{
"ErrorKey": "<string>",
"Field": "<string>",
"Message": "<string>"
}Secret
Update Secret
POST
/
compute
/
script
/
{id}
/
secrets
/
{secretId}
Update Secret
Authorizations
AccessKeybearer
API Access Key authorization header
Path Parameters
The ID of the script that will have the secret updated
The ID of the secret that will be updated
Body
application/json
The secret that will be updated
Maximum string length:
4096Last modified on July 7, 2026
Was this page helpful?
⌘I